Skip to main content

Create refund

POST 

/financing/v1/applications/:applicationId/refunds

Create a refund on a specific application where {applicationId} is the application ID you received in the response of /financing/v1/applications after its creation.

Use this resource to register an arbitrary partial (or full) refund of an already invoiced order without referencing specific order items - for example a goodwill refund or a price adjustment. The refund amount is deducted from the order's remaining refundable amount. To instead return specific order items, use the Mark order items as returned operation.

Financing typeSupported
DEFERRED_PAYMENTYES
PAY_IN_THREEYES
Application stateAvailability
PROCESSINGNO
REJECTEDNO
CANCELLEDYES
READYYES

The order must already be invoiced. The requested totalPrice must not exceed the order's remaining refundable amount (the original order total minus the sum of refunds already created). Each VAT rate passed in totalVat (with a non-zero amount) must match a VAT rate present on the order.

If the request was successfully processed, you receive HTTP status code 201 and the created refund object.

In other cases, you may receive errors similar to the following ones:

Status codeCodeExplanation
400INVALID_REQUESTRequest was not well formatted (malformed request syntax, size too large, etc.)
404OBJECT_NOT_FOUNDThe requested resource could not be found
422TOTAL_PRICE_LIMIT_EXCEEDEDRefund amount exceeds the remaining refundable amount of the order
422NOT_INVOICEDRefund can be created only for an invoiced order
422INVALID_CURRENCY_MISMATCHThe totalPrice currency does not match the e-shop currency
422NOT_FOUNDA VAT rate passed in totalVat does not exist on the order
422INVALID_FORMATvariableSymbol contains characters other than digits

Request

Responses

Refund was created